View Issue Details

IDProjectCategoryView StatusLast Update
0008021VALENTINA STUDIOPLUGIN - DB - mySQLpublic2017-08-19 07:18
ReporterRené LandscheidtAssigned ToSergey Pashkov 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformINTELOSMAC OS OS Version*
Product Version7.3.x 
Target Version7.4.xFixed in Version7.4.x 
Summary0008021: Fix connection to MySQL with an SSL Encrypted Connection
DescriptionCan not connect to MySQL with an SSL Encrypted Connection

I'm trying to connect to an MySQl (MariaDB 5.5) Server on CentOS 7, using an SSL Encrypted Connection

the latest Valentina Studio will not Connect to the Server.

The Username and the Password and SSL-KeyFiles are correct. The MySQL Workbench using the same Data and SSL KeyFiles connects correctly to the Server
Steps To ReproduceCreate a MySQL Connection

Enter the Server, the Username and the Password

Check "Using SSL"

Select the SSL-KeyFile, the SSL-CertFile and the CA-CertFile.

Check "Test Connection" get an Error
TagsNo tags attached.
Working with DB:mySQL Server
Version of your DB

Activities

René Landscheidt

René Landscheidt

2017-07-17 11:57

reporter   ~0009808

Hello If needed i could create a user with access to a test db on the server.

and send over the needed SSL KeyFiles to Test.
Sergey Pashkov

Sergey Pashkov

2017-08-01 18:33

developer   ~0009846

It was necessary to update MariaDB client and use newer OpenSSL libraries.
Fix will be available in the version 7.3.5.

Issue History

Date Modified Username Field Change
2017-07-16 22:39 René Landscheidt New Issue
2017-07-17 11:57 René Landscheidt Note Added: 0009808
2017-07-17 13:12 Sergey Pashkov Assigned To => Sergey Pashkov
2017-07-17 13:12 Sergey Pashkov Status new => assigned
2017-08-01 18:33 Sergey Pashkov Working with DB: Not specified => mySQL Server
2017-08-01 18:33 Sergey Pashkov Note Added: 0009846
2017-08-01 18:33 Sergey Pashkov Status assigned => resolved
2017-08-01 18:33 Sergey Pashkov Resolution open => fixed
2017-08-01 18:33 Sergey Pashkov Product Version => 7.3.x
2017-08-01 18:33 Sergey Pashkov Fixed in Version => 7.3.x
2017-08-01 18:33 Sergey Pashkov Target Version => 7.3.x
2017-08-01 18:33 Sergey Pashkov Summary Can not connect to MySQL with an SSL Encrypted Connection => Fix connection to MySQL with an SSL Encrypted Connection
2017-08-19 07:18 Ruslan Zasukhin Fixed in Version 7.3.x => 7.4.x
2017-08-19 07:18 Ruslan Zasukhin Target Version 7.3.x => 7.4.x